%undefine __libtoolize
%define qtdir %_qt3dir

Name: digikam-doc
Version: 0.8.0
%define plugins_ver 0.8.0
Release: alt1

Group: Documentation
Summary: digiKam documentation
License: GPL
URL: http://www.digikam.org/
#http://digikam.sourceforge.net/

Provides: digikamimageplugins-doc = %version-%release
Conflicts: digikam < 0.8.0-alt0.0.1, digikamimageplugins < 0.8.0-alt0.0.1

Source: %name-%version.tar.bz2
Source1: digikamimageplugins-doc-%plugins_ver.tar.bz2

BuildRequires: doxygen gcc-c++ kdelibs-devel libarts-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel xml-utils xorg-x11-devel zlib-devel

%description
digiKam documentation.


%prep
%setup -q -a1 -n %name-%version
#%patch1 -p1
pushd *plugins*
#%patch10 -p1
popd


pushd *plugins*
#rm -rf autom4te.cache
#make -f admin/Makefile.common cvs
#ln -s ../digikam .
popd
#rm -rf autom4te.cache
#make -f admin/Makefile.common cvs

%build
export QTDIR=%qtdir
export KDEDIR=%prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export USER_INCLUDES=-I$PWD/interfaces/ LDFLAGS="-L$PWD/digikam/"
%configure \
    --enable-shared \
    --disable-static \
    --disable-debug \
    --disable-rpath \
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility \
    --enable-pch \
    --enable-dependency-tracking

pushd *plugins*
%configure \
    --enable-shared \
    --disable-static \
    --disable-debug \
    --disable-rpath \
    --enable-new-ldflags \
    --enable-gcc-hidden-visibility \
    --enable-pch \
    --enable-dependency-tracking
popd


%make_build
pushd *plugins*
%make_build
popd

%install
%make DESTDIR=%buildroot install
pushd *plugins*
%make DESTDIR=%buildroot install
popd


>%name.lang
%find_lang --with-kde --append --output=%name.lang digikam
%find_lang --with-kde --append --output=%name.lang showfoto
%find_lang --with-kde --append --output=%name.lang digikamimageplugins

%files -f %name.lang

%changelog
* Thu Dec 29 2005 Sergey V Turchin <zerg at altlinux dot org> 0.8.0-alt1
- split docs to separate package

* Thu Dec 29 2005 Sergey V Turchin <zerg at altlinux dot org> 0.8.0-alt1
- new version

* Wed Aug 17 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7.3-alt1
- new version

* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 0.7.1-alt1
- new version

* Tue Dec 07 2004 Sergey V Turchin <zerg at altlinux dot org> 0.7-alt1
- new version

* Tue Jul 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.2-alt1
- new version

* Wed May 12 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.1-alt1
- new version

* Mon Mar 22 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6-alt1
- new version

* Tue Sep 16 2003 Sergey V Turchin <zerg at altlinux dot org> 0.5.1-alt4
- rebuild with new libexif

* Thu Apr 03 2003 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt3
- rebuild with new libexif

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt2
- rebuild with new gphoto2 && KDE3.1

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 0.5.1-alt1
- build for ALT

* Fri Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- Move menu to Multimedia/Graphics
	- add BuildRequires:            libexif7-devel

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- add in-spec-menu

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- adjust buildrequires

* Wed Jul 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Update release 0.5.0 : KDE3 port. Update spec file.

* Fri Jul 12 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-2mdk
- Fix some bugs on 'spec' file

* Mon Jul 08 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-1mdk
- Original release
